﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.Windows.Diagram;

namespace CustomSymbols
{
    public static class Extension
    {
        public static Node RemoveDroppedNode(this DiagramControl diagram, Node node)
        {
            var diagramPage = diagram.View.Page as DiagramPage;
            if (diagramPage != null) diagramPage.Children.Remove(node);
            diagram.Model.Nodes.Remove(node);
            //diagram.View.Page.Children.Remove(node);
            return node;
        }
    }
}
